#ifndef __UNODBFILE_H
#define __UNODBFILE_H

// >= max line length
#define		UNODBFILE_BUFFER_LENGTH		2000000

#include "DbFile.h"

class BASS_API UnoDbFile : public DbFile {
public:
	UnoDbFile();
	virtual ~UnoDbFile();

	virtual Database *Read(string filename);
	virtual bool Write(Database *db, const string &fullpath);
	virtual DbFileType GetType() { return DbFileTypeUno; }

protected:
	uint16 CountCols(char *buffer);

};

#endif // __UNODBFILE_H