#ifndef __DIRECTLYTOFILECOLLECTION_H
#define __DIRECTLYTOFILECOLLECTION_H

#include "PatternCollection.h"

class BASS_API DirectlyToFileCollection : public PatternCollection {
public:
	DirectlyToFileCollection(Config *config, Database *db, PatternFile *pFile);
	virtual ~DirectlyToFileCollection();

	// Modify collection
	virtual void		Add(ItemSet *is);

	// Check properties of instances
	virtual bool		IsLoaded() { return false; } // never keeps anything in memory

protected:

};
#endif // __DIRECTLYTOFILECOLLECTION_H
