#include "../Bass.h"

#include "UnoDbFile.h"
#include "../itemstructs/ItemSet.h"

#include "DbFile.h"

DbFile::DbFile() {
	mPreferredDataType = Uint32ItemSetType;
}
DbFile::~DbFile() {

}

/*
string DbFile::GetFileName() {
	return mFilename;
}
*/

DbFileType DbFile::StringToType(const string &desc) {
	if(desc.compare("uno") == 0)
		return DbFileTypeUno;
	//if(desc.compare("fic") == 0)
	//	return DbFileTypeFic;
	return DbFileTypeNone;
}

DbFileType DbFile::ExtToType(const string &extension) {
	if(extension.compare("uno") == 0)
		return DbFileTypeUno;
	//if(extension.compare("db") == 0)
	//	return DbFileTypeFic;
	return DbFileTypeNone;
}

string DbFile::TypeToExt(const DbFileType dbType) {
	if(dbType == DbFileTypeUno)
		return "uno";
	//if(dbType == DbFileTypeFic)
	//	return "db";
	return "unknown";
}

DbFile *DbFile::Create(DbFileType type) {
	if(type == DbFileTypeUno)
		return new UnoDbFile();
	//if(type == DbFileTypeFic)
	//	return new FicDbFile();
	return NULL;
}
